Get Loan Configuration
curl --request GET \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/credit/loan-configuration \
--header 'Authorization: Bearer <token>'import requests
url = "https://ge-exchange-staging-1.herokuapp.com/v1/api/credit/loan-configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ge-exchange-staging-1.herokuapp.com/v1/api/credit/loan-configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Loan configuration retrieved successfully",
"data": {
"id": "67e2f7ed702e11a6778681a3",
"investment_categories": [
"Bond",
"Commercial Paper"
],
"grace_period": 5,
"grace_period_unit": "DAYS",
"max_amount": {
"NGN": 2000000
},
"creditor": {
"id": "624598bd83067c00f691c0ca",
"name": "Crowdfund Org"
},
"created_at": "2025-03-25T18:37:33.029Z",
"updated_at": "2025-04-04T07:11:01.837Z",
"collateral_ratio": 0.8,
"duration": 10,
"interest_rate": 0.3,
"provider_url": "https://api.open-meteo.com/v1",
"use_api": false
}
}
Credit Loan
Get Loan Configuration
Retrieves the current loan configuration for the authenticated creditor.
GET
api
/
credit
/
loan-configuration
Get Loan Configuration
{
"status": "success",
"message": "Loan configuration retrieved successfully",
"data": {
"id": "67e2f7ed702e11a6778681a3",
"investment_categories": [
"Bond",
"Commercial Paper"
],
"grace_period": 5,
"grace_period_unit": "DAYS",
"max_amount": {
"NGN": 2000000
},
"creditor": {
"id": "624598bd83067c00f691c0ca",
"name": "Crowdfund Org"
},
"created_at": "2025-03-25T18:37:33.029Z",
"updated_at": "2025-04-04T07:11:01.837Z",
"collateral_ratio": 0.8,
"duration": 10,
"interest_rate": 0.3,
"provider_url": "https://api.open-meteo.com/v1",
"use_api": false
}
}
Was this page helpful?
⌘I
